changeset 1077:04ad0b576298

fix: make sure mise is installed before mercurial
author Zeger Van de Vannet <zeger@vandevan.net>
date Sat, 22 Feb 2025 10:13:14 +0100
parents 8ea059eef6af
children 1fcc8b0ca8e2
files .chezmoiscripts/run_onchange_after_14-install-ubuntu-packages.sh.tmpl .chezmoiscripts/run_onchange_after_15-configure-ubuntu-gnome.sh.tmpl .chezmoiscripts/run_onchange_after_15-install-ubuntu-packages.sh.tmpl .chezmoiscripts/run_onchange_after_16-configure-ubuntu-gnome.sh.tmpl .chezmoiscripts/run_onchange_after_16-install-mise-and-plugins.sh.tmpl .chezmoiscripts/run_onchange_after_17-install-rtx-and-plugins.sh.tmpl dot_config/mise/config.toml
diffstat 7 files changed, 108 insertions(+), 104 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_14-install-ubuntu-packages.sh.tmpl	Sat Feb 22 10:13:14 2025 +0100
@@ -0,0 +1,58 @@
+{{ if eq .chezmoi.os "linux" -}}
+{{ if eq .chezmoi.osRelease.name "Ubuntu" -}}
+
+{{ $packages := list
+  "build-essential"
+  "libsqlite3-dev"
+  "libreadline-dev"
+  "libbz2-dev"
+  "libncurses-dev"
+  "zlib1g-dev"
+  "libffi-dev"
+  "libssl-dev"
+  "software-properties-common"
+  "fd-find"
+  "ripgrep"
+ 	"jq"
+ 	"pass"
+ 	"apt-file"
+ 	"fonts-firacode"
+ 	"kitty"
+ 	"yodl"
+ 	"libevent-core-2.1-7"
+ 	"libevent-dev"
+ 	"pipx"
+  "bison"
+  "flex"
+  "libnotify4"
+  "autoconf" -}}
+
+{{ $ppa := list
+	"ppa:maveonair/helix-editor"
+	"ppa:mozillateam/ppa" 
+	"ppa:fish-shell/release-3" -}}
+
+{{ $extra_packages := list
+	"helix"
+	"firefox" 
+	"fish" -}}
+#!/usr/bin/env bash
+
+set -xe
+
+sudo apt install -y  {{ $packages | join " "}}
+
+{{ range $ppa }}
+sudo add-apt-repository -y --no-update --ppa {{ . }}
+{{ end }}
+
+sudo mkdir -p /etc/apt/preferences.d/
+sudo cp -v {{ .chezmoi.sourceDir }}/system/ubuntu/mozilla-firefox /etc/apt/preferences.d/mozilla-firefox
+
+sudo apt update
+sudo apt install -y  {{ $extra_packages | join " " }}
+
+sudo update-alternatives --set x-terminal-emulator /usr/bin/kitty
+
+{{- end }}
+{{- end }}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_15-configure-ubuntu-gnome.sh.tmpl	Sat Feb 22 10:13:14 2025 +0100
@@ -0,0 +1,26 @@
+{{ if eq .chezmoi.os "linux" -}}
+{{ if eq .chezmoi.osRelease.name "Ubuntu" -}}
+#!/usr/bin/env bash
+
+if [ -x "$(command -v dconf)" ]; then
+
+	dconf write /org/gnome/desktop/input-sources/xkb-options "['ctrl:nocaps']"
+
+fi
+
+sudo mkdir -p /etc/polkit-1/localauthority/50-local.d
+sudo apt install polkitd-pkla
+
+cat <<EOF
+[Re-enable hibernate by default in upower]
+Identity=unix-user:*
+Action=org.freedesktop.upower.hibernate
+ResultActive=yes
+
+[Re-enable hibernate by default in logind]
+Identity=unix-user:*
+Action=org.freedesktop.login1.hibernate;org.freedesktop.login1.handle-hibernate-key;org.freedesktop.login1;org.freedesktop.login1.hibernate-multiple-sessions;org.freedesktop.login1.hibernate-ignore-inhibit
+ResultActive=yes
+EOF | sudo tee /etc/polkit-1/localauthority/50-local.d/com.ubuntu.enable-hibernate.pkla
+{{- end }}
+{{- end }}
--- a/.chezmoiscripts/run_onchange_after_15-install-ubuntu-packages.sh.tmpl	Sun Feb 16 19:51:35 2025 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,58 +0,0 @@
-{{ if eq .chezmoi.os "linux" -}}
-{{ if eq .chezmoi.osRelease.name "Ubuntu" -}}
-
-{{ $packages := list
-  "build-essential"
-  "libsqlite3-dev"
-  "libreadline-dev"
-  "libbz2-dev"
-  "libncurses-dev"
-  "zlib1g-dev"
-  "libffi-dev"
-  "libssl-dev"
-  "software-properties-common"
-  "fd-find"
-  "ripgrep"
- 	"jq"
- 	"pass"
- 	"apt-file"
- 	"fonts-firacode"
- 	"kitty"
- 	"yodl"
- 	"libevent-core-2.1-7"
- 	"libevent-dev"
- 	"pipx"
-  "bison"
-  "flex"
-  "libnotify4"
-  "autoconf" -}}
-
-{{ $ppa := list
-	"ppa:maveonair/helix-editor"
-	"ppa:mozillateam/ppa" 
-	"ppa:fish-shell/release-3" -}}
-
-{{ $extra_packages := list
-	"helix"
-	"firefox" 
-	"fish" -}}
-#!/usr/bin/env bash
-
-set -xe
-
-sudo apt install -y  {{ $packages | join " "}}
-
-{{ range $ppa }}
-sudo add-apt-repository -y --no-update --ppa {{ . }}
-{{ end }}
-
-sudo mkdir -p /etc/apt/preferences.d/
-sudo cp -v {{ .chezmoi.sourceDir }}/system/ubuntu/mozilla-firefox /etc/apt/preferences.d/mozilla-firefox
-
-sudo apt update
-sudo apt install -y  {{ $extra_packages | join " " }}
-
-sudo update-alternatives --set x-terminal-emulator /usr/bin/kitty
-
-{{- end }}
-{{- end }}
--- a/.chezmoiscripts/run_onchange_after_16-configure-ubuntu-gnome.sh.tmpl	Sun Feb 16 19:51:35 2025 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,26 +0,0 @@
-{{ if eq .chezmoi.os "linux" -}}
-{{ if eq .chezmoi.osRelease.name "Ubuntu" -}}
-#!/usr/bin/env bash
-
-if [ -x "$(command -v dconf)" ]; then
-
-	dconf write /org/gnome/desktop/input-sources/xkb-options "['ctrl:nocaps']"
-
-fi
-
-sudo mkdir -p /etc/polkit-1/localauthority/50-local.d
-sudo apt install polkitd-pkla
-
-cat <<EOF
-[Re-enable hibernate by default in upower]
-Identity=unix-user:*
-Action=org.freedesktop.upower.hibernate
-ResultActive=yes
-
-[Re-enable hibernate by default in logind]
-Identity=unix-user:*
-Action=org.freedesktop.login1.hibernate;org.freedesktop.login1.handle-hibernate-key;org.freedesktop.login1;org.freedesktop.login1.hibernate-multiple-sessions;org.freedesktop.login1.hibernate-ignore-inhibit
-ResultActive=yes
-EOF | sudo tee /etc/polkit-1/localauthority/50-local.d/com.ubuntu.enable-hibernate.pkla
-{{- end }}
-{{- end }}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/.chezmoiscripts/run_onchange_after_16-install-mise-and-plugins.sh.tmpl	Sat Feb 22 10:13:14 2025 +0100
@@ -0,0 +1,20 @@
+{{ if (and (eq .chezmoi.os "linux") (eq .chezmoi.osRelease.name "Ubuntu" )) -}}
+#!/usr/bin/env bash
+
+set -xe
+
+# tool-versions hash: {{ include "dot_tool-versions" | sha256sum }}
+
+: "${XDG_CONFIG_HOME:=$HOME/.config}"
+RTX_BIN=$HOME/bin/mise
+curl -fsSL https://github.com/jdx/mise/releases/download/v2024.6.2/mise-v2024.6.2-linux-x64 | sudo install -m 755 /dev/stdin $RTX_BIN
+
+export PYTHON_CONFIGURE_OPTS="--enable-shared"
+$RTX_BIN install --verbose --yes
+
+mkdir -p $XDG_CONFIG_HOME/direnv/lib
+$RTX_BIN direnv activate > $XDG_CONFIG_HOME/direnv/lib/use_rtx.sh
+$RTX_BIN completion zsh > ~/.zsh/completetions
+
+
+{{ end }}
--- a/.chezmoiscripts/run_onchange_after_17-install-rtx-and-plugins.sh.tmpl	Sun Feb 16 19:51:35 2025 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,20 +0,0 @@
-{{ if (and (eq .chezmoi.os "linux") (eq .chezmoi.osRelease.name "Ubuntu" )) -}}
-#!/usr/bin/env bash
-
-set -xe
-
-# tool-versions hash: {{ include "dot_tool-versions" | sha256sum }}
-
-: "${XDG_CONFIG_HOME:=$HOME/.config}"
-RTX_BIN=$HOME/bin/mise
-curl -fsSL https://github.com/jdx/mise/releases/download/v2024.6.2/mise-v2024.6.2-linux-x64 | sudo install -m 755 /dev/stdin $RTX_BIN
-
-export PYTHON_CONFIGURE_OPTS="--enable-shared"
-$RTX_BIN install --verbose --yes
-
-mkdir -p $XDG_CONFIG_HOME/direnv/lib
-$RTX_BIN direnv activate > $XDG_CONFIG_HOME/direnv/lib/use_rtx.sh
-$RTX_BIN completion zsh > ~/.zsh/completetions
-
-
-{{ end }}
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dot_config/mise/config.toml	Sat Feb 22 10:13:14 2025 +0100
@@ -0,0 +1,4 @@
+[settings]
+
+[settings.python]
+compile = true